Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Attributes | Private Member Functions
ArgusSamples::App Class Reference

Base class for apps. More...

`#include <App.h>`

Inheritance diagram for ArgusSamples::App:

List of all members.

## Public Member Functions
| App (const char *appName)
virtual | ~App ()
virtual bool | initialize ()
virtual bool | shutdown ()
virtual bool | start ()=0
bool | run (int argc, char **argv)

## Protected Member Functions
IKeyObserver methods
virtual bool | onKey (const Key &key)

## Protected Attributes
Options | m_options

## Private Member Functions
| App ()
| Hide default constructor.

## Detailed Description

Base class for apps.

Definition at line 41 of file App.h.

## Constructor & Destructor Documentation

ArgusSamples::App::App | ( | const char * | appName | ) |
| explicit

Definition at line 39 of file App.cpp.

ArgusSamples::App::~App | ( |  | ) |
| virtual

Definition at line 44 of file App.cpp.

ArgusSamples::App::App | ( |  | ) |
| private

Hide default constructor.

## Member Function Documentation

bool ArgusSamples::App::initialize | ( |  | ) |
| virtual

Reimplemented in ArgusSamples::CameraApp.

Definition at line 49 of file App.cpp.

bool ArgusSamples::App::onKey | ( | const Key & | key | ) |
| protected virtual

Reimplemented in ArgusSamples::CameraApp.

Definition at line 132 of file App.cpp.

bool ArgusSamples::App::run | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 79 of file App.cpp.

bool ArgusSamples::App::shutdown | ( |  | ) |
| virtual

Reimplemented in ArgusSamples::CameraApp.

Definition at line 63 of file App.cpp.

virtual bool ArgusSamples::App::start | ( |  | ) |
| pure virtual

Implemented in ArgusSamples::CameraApp.

## Member Data Documentation

Options ArgusSamples::App::m_options
| protected

Definition at line 59 of file App.h.

The documentation for this class was generated from the following files:

- ui/common/App.h
- ui/common/App.cpp